Update gs.basemaps in Jupyter notebooks

28/05/2020 15:10 - Philippe May

Status: Resolved Start date: 28/05/2020

Priority: Normal Due date:  

Assignee: Philippe May % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

A new version of contextily Python library deprecated contextily.sources in favor of contextily.providers.

Need to update all notebooks (eg. dashboards) with this new convention.

Associated revisions

Revision 105ff1ed - 12/06/2020 10:47 - Philippe May

Refs #10224: remove add_basemap (see contextily)

Revision 6491bc7f - 12/06/2020 10:59 - Philippe May

Fixes #10224: use contextily.add_basemap

History

#1 - 12/06/2020 10:46 - Philippe May

That's quite simple, instead of:

gs.add_basemap(ax1, 13, url=gs.basemaps.ST_WATERCOLOR)

 

do:

import contextily as ctx

ctx.add_basemap(ax=ax1, source=ctx.providers.Stamen.Watercolor, alpha=0.3)

#2 - 12/06/2020 11:44 - Philippe May

- Status changed from New to Resolved

#3 - 14/06/2021 16:15 - Philippe May

- % Done changed from 0 to 100

Applied in changeset avsm_notebooks|6491bc7fbdc8eb61eb0ac9065f7e5914485bedf9.

Powered by TCPDF (www.tcpdf.org)

13/03/2024 1/1

https://redmine.auroville.org.in/projects/gisaf/repository/avsm_notebooks/revisions/6491bc7fbdc8eb61eb0ac9065f7e5914485bedf9
http://www.tcpdf.org

